## ros-indigo-segbot-simulation-apps 0.3.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(segbot_simulation_apps)

find_package(catkin REQUIRED COMPONENTS 
  bwi_msgs
  bwi_planning_common
  bwi_tools
  gazebo_msgs
  geometry_msgs
  multi_level_map_msgs
  roscpp
  std_msgs
  tf
)
find_package(Boost REQUIRED)

catkin_package(
  DEPENDS
    Boost
  CATKIN_DEPENDS
    bwi_msgs
    bwi_planning_common
    bwi_tools
    gazebo_msgs
    geometry_msgs
    multi_level_map_msgs
    roscpp
    std_msgs
    tf
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/libsegbot_simulation_apps/common.cpp
  src/libsegbot_simulation_apps/door_handler.cpp
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

add_executable(door_handler
  src/nodes/door_handler.cpp
)
target_link_libraries(door_handler
  ${PROJECT_NAME}
)

add_executable(robot_teleporter
  src/nodes/robot_teleporter.cpp
)
target_link_libraries(robot_teleporter
  ${PROJECT_NAME}
)

install(TARGETS ${PROJECT_NAME} door_handler robot_teleporter
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY
  include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
 
# Install runtime launch and configuration files
foreach(dir launch urdf)
  install(DIRECTORY ${dir}/ 
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

# unit tests are enabled selectively
if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
endif ()

=== debian/changelog ===
ros-indigo-segbot-simulation-apps (0.3.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot-simulation-apps (0.3.4-0trusty) trusty; urgency=high

  * added some code to remove redundant ros timers from the timeout queue. fixed incorrect footprint clearing.
  * updated simulated calls that open the doors to automatically close those doors.
  * finished + tested compilation of robot teleportation script.
  * separated some common functionality in door handler so that it can be used by robot teleporter.
  * added some stuff for the robot teleporter
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot-simulation-apps (0.3.3-0trusty) trusty; urgency=high

  * merge segbot_simulator packages into segbot (#46 <https://github.com/utexas-bwi/segbot/issues/46>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot-simulation-apps (0.3.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot-simulation-apps (0.3.0-0trusty) trusty; urgency=high

  * added missing dependency on multi_level_map_msgs.
  * migrated DoorHandlerInterface from segbot_simulation_apps to bwi_msgs in the bwi_common repository.
  * updated door handler to use new multimap.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot-simulation-apps (0.2.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 22 Apr 2014 05:00:00 -0000

ros-indigo-segbot-simulation-apps (0.2.0-0trusty) trusty; urgency=high

  * initial release to Hydro
  * install header correctly
  * removed catkin_lint errors
  * moved resolveDoor to common functions in bwi_planning_common
  * added service to modify door status
  * added a package for simulation apps. For now, added a door handler.

 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 20 Apr 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-segbot-simulation-apps
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-bwi-msgs, ros-indigo-bwi-planning-common, ros-indigo-bwi-tools, ros-indigo-catkin, ros-indigo-gazebo-msgs, ros-indigo-geometry-msgs, ros-indigo-multi-level-map-msgs, ros-indigo-roscpp, ros-indigo-roslaunch, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://wiki.ros.org/segbot_simulation_apps
Standards-Version: 3.9.2

Package: ros-indigo-segbot-simulation-apps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-bwi-msgs, ros-indigo-bwi-planning-common, ros-indigo-bwi-tools, ros-indigo-gazebo-msgs, ros-indigo-geometry-msgs, ros-indigo-multi-level-map-msgs, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-tf
Description: Applications designed specifically to be used in a simulation environment, such as opening and closing doors inside the building simulation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-segbot-simulation-apps//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
